My Project: dynamics.mod/NewtonDynamics/source/pthreads.2/sched.h File Reference

My Project

Classes | Macros | Typedefs | Enumerations | Functions
sched.h File Reference
`#include <errno.h>`

Go to the source code of this file.

## Classes

struct | sched_param

## Macros

#define | PTW32_SCHED_LEVEL_MAX 3
#define | PTW32_SCHED_LEVEL PTW32_SCHED_LEVEL_MAX
#define | PTW32_DLLPORT __declspec (dllimport)
#define | sched_rr_get_interval(_pid, _interval) ( errno = ENOTSUP, (int) -1 )

## Typedefs

typedef int | pid_t

## Enumerations

enum | { SCHED_OTHER = 0, SCHED_FIFO, SCHED_RR, SCHED_MIN = SCHED_OTHER, SCHED_MAX = SCHED_RR }

## Functions

PTW32_DLLPORT int __cdecl | sched_yield (void)
PTW32_DLLPORT int __cdecl | sched_get_priority_min (int policy)
PTW32_DLLPORT int __cdecl | sched_get_priority_max (int policy)
PTW32_DLLPORT int __cdecl | sched_setscheduler (pid_t pid, int policy)
PTW32_DLLPORT int __cdecl | sched_getscheduler (pid_t pid)

## Macro Definition Documentation

## § PTW32_DLLPORT

#define PTW32_DLLPORT __declspec (dllimport)

## § PTW32_SCHED_LEVEL

#define PTW32_SCHED_LEVEL PTW32_SCHED_LEVEL_MAX

## § PTW32_SCHED_LEVEL_MAX

#define PTW32_SCHED_LEVEL_MAX 3

## § sched_rr_get_interval

#define sched_rr_get_interval | ( |  | _pid,
|  |  | _interval
| ) |  | ( errno = ENOTSUP, (int) -1 )

## Typedef Documentation

## § pid_t

typedef int pid_t

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
SCHED_OTHER |
SCHED_FIFO |
SCHED_RR |
SCHED_MIN |
SCHED_MAX |

## Function Documentation

## § sched_get_priority_max()

PTW32_DLLPORT int __cdecl sched_get_priority_max | ( | int | policy | ) |

## § sched_get_priority_min()

PTW32_DLLPORT int __cdecl sched_get_priority_min | ( | int | policy | ) |

## § sched_getscheduler()

PTW32_DLLPORT int __cdecl sched_getscheduler | ( | pid_t | pid | ) |

## § sched_setscheduler()

PTW32_DLLPORT int __cdecl sched_setscheduler | ( | pid_t | pid,
|  | int | policy
| ) |  |

## § sched_yield()

PTW32_DLLPORT int __cdecl sched_yield | ( | void |  | ) |